#!/usr/local/bin/perl
$ENV{"PATH"} .= ":/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/dba/tools:/opt/dbamon/bin";
# !+-------------------------------------------------------------------------
#    Name:  dbamon_report.pl
#
# Version:  @(#)$Revision$
#
# Purpose:  
#
#   Specs: 
#
#  Author:  Bill Border
#
#    Note:  
# !*-------------------------------------------------------------------------

$P = "dbamon_report.pl";
require "cgi_handlers.pl";

# Read WWW_Check:
chop($font = `grep 'WWW_Font:' /opt/dbamon/adm/dbamonrc | grep -v '^#' | awk '{ print \$2 }'`);
if ($font =~ /%/)
{
  $font =~ s/%/ /g;
  $font = "'$font'";
}


# Trap an interrupt signal and clean up
$SIG{'INT'} = 'IntHandler';

# Require the DBI module and the DBD::mysql driver
use DBI;
require "cgi_handlers.pl";

# General parms required
$date          = `date`;
$keyStart      = 1000;

$maxrows       = 500;

$| = 1;
$readfile      = "/tmp/dbamon_text.txt";

$data_source = "dbi:mysql";
$database = "dbamon";

# See if DBAmon is configured to use Oracle
chop($use_oracle  = `grep Use_Oracle:  /opt/dbamon/adm/dbamonrc | awk '{ print \$2 }'`);
chop($ORACLE_SID  = `grep ORACLE_SID:  /opt/dbamon/adm/dbamonrc | awk '{ print \$2 }'`);
chop($ORACLE_HOME = `grep ORACLE_HOME: /opt/dbamon/adm/dbamonrc | awk '{ print \$2 }'`);
if ($use_oracle eq "Y" && $ORACLE_SID ne "" && $ORACLE_HOME ne "")
{
  $ENV{'ORACLE_SID'}  = $ORACLE_SID;
  $ENV{'ORACLE_HOME'} = $ORACLE_HOME;
  $user = "dbamon";
  chop($passwd = `grep 'ORACLE_Password:' /opt/dbamon/adm/dbamonrc | grep -v '^#' | awk '{ print \$2 }'`);
  $data_source = "DBI:Oracle";
  $database = $ORACLE_SID;
  $dbms = "oracle";
}

#------------------------------------------------------------------------------
sub msg
#------------------------------------------------------------------------------
{
  $msgmsg = @_[0];
  chop($date = `date +%Y/%m/%d-%H:%M:%S`);
  print "$date ${P} | $msgmsg\n"; 
}

# Main  

@words = split(/,/,@ARGV[0]);
$mode    = @words[0];
$instnum = @words[1];
$ck      = @words[2];
$verb    = @words[3];

chop($host = `hostname`);
chop($dbamonid = `ls -l /opt/dbamon/adm/dbamonrc | awk '{ print \$3 }'`);

print "Content-type: text/html\n\n
<title>DBAmon One Instance Dynamic Report </title>
<body bgcolor=white link=darkblue vlink=darkblue><font face=$font>
<table width=750><tr><td><img src='/dbamon/img/dbamonlogo.jpg' width=750>
<tr bgcolor=wheat><td><font face=$font size=5>
    <center><img src='/dbamon/img/person.gif'> Instance Dynamic Report ($verb)</center>
</table><pre><hr>";

#print "Content-type: text/html\n\n
#        <body bgcolor=white>
#        <font face=$font>
#        <title>DBAmon One Instance Real-Time Checker</title>
#     \n";
#print "<h2>DBAmon <i>Real-Time</i> Check One Instance<hr></h2>\n";
#print "<pre>\n";

$zclient = $ENV{'REMOTE_HOST'};

system("echo '' | mailx -s 'monitor--$P ($zclient) $instnum $verb' border\@dba.it.thecompany.com");

##$cmd = "remsh $host -l $dbamonid '/opt/dbamon/bin/dbamon_www_report.pl $mode $instnum $zclient $ck $verb'";
##$cmd = "ssh $host '/opt/dbamon/bin/dbamon_www_report.pl $mode $instnum $zclient $ck $verb'";
$cmd = "/opt/dbamon/bin/dbamon_www_report.pl $mode $instnum $zclient $ck $verb";
&msg("Invoking $cmd");

$rc = system("$cmd 2>&1");
$rc /= 256 if $rc != 0;
&msg("$cmd ended - rc=$rc");

print "</pre><hr>\n";
#Click <b>Back</b> to return to the DBAmon Instance Summary\n";

print "<script language='JavaScript'>
  function back() { history.go($goback); }
</script>";
print "<b><a href='javascript:back()'><font size=2>Click Here</a> to return to the DBAmon Instance Summary.</font></b>";

exit 0;
