#set P = SingleLineUserTitles

#shell #processrows
  date +%Y/%m/%d-%H:%M:%S
#endshell
#call $shellrow ( thedate )

#shell #processrows
  echo $THIS_TARGET 
#endshell
#call $shellrow ( thetarget )

#shell #processrows
  echo $DBAMON_PL_FILE 
#endshell
#call $shellrow ( inputfile )

#shell #processrows
  echo $DBAMON_PL_FILE_PNG
#endshell
#call $shellrow ( png_file )

#shell #processrows
  echo $DBAMON_PL_TITLE1 
#endshell
#call $shellrow ( dbamon_title1 )

#shell #processrows
  echo $DBAMON_PL_TITLE2 
#endshell
#call $shellrow ( dbamon_title2 )

#shell #processrows
  echo $DBAMON_PL_MOVINGAVGCOUNT 
#endshell
#call $shellrow ( dbamon_movingavg_count )

#shell #processrows
  echo $DBAMON_PL_LASTVAL 
#endshell
#call $shellrow ( dbamon_lastval )

#proc getdata
  file: @inputfile
//  file: z.txt

#proc settings
  numbernotation: us

#proc page
  textsize: 10
//  font: times
//  outfilename: @P.jpeg
  outfilename: @png_file
  backgroundcolor: xrgb(fffff0)
  pagesize: 8.5 5.2
  titledetails: align=left  adjust=-0.8,-4.35 size=7
  title: DBAmon/Ploticus - Created=@thedate PL_Program=@P Obs=@NRECORDS LastValue=@dbamon_lastval

// #proc image
//   file: ./hplogo2.gif
//   location: 0.1 0.8 
//   width: 65
//   height: 55

#proc areadef
  // title: @dbamon_title1\n
  title: @dbamon_title1\n
  titledetails: align=center size=13 adjust=0,0.3 style=b
  title2: @dbamon_title2\n
  title2details: align=center size=11 adjust=0,0.1 style=b
//  titledetails: align=center size=8 color=black style=B adjust=2,1.25 
//  titledetails: align=bottom size=8 color=black style=B 
  xscaletype: datetime yyyy/mm/dd
  xautorange: datafield=1
  yautorange: datafield=2
  rectangle: 1 1 7 4

  xaxis.stubvert: yes 
  xaxis.stubs: inc 
  xaxis.stubs: datetimematic 
  xaxis.minortics: none 
  xaxis.labeldistance: 1.6
  xaxis.grid: width=0.1  style=1
  xaxis.autodays: no 
  xaxis.autoyears: no 
  xaxis.automonths: no 
  xaxis.labeldetails: size=7 color=green style=B 
  xaxis.stubformat: yyyy/mm/dd

  yaxis.labeldetails: size=7 color=black style=B
  yaxis.labeldistance: 0.7
  yaxis.grid: width=0.1  style=1
  yaxis.stubs: inc
// yaxis.label: @dbamon_metric 

#proc lineplot
  xfield: 1
  yfield: 2
  legendlabel: Metric\nValue
  linedetails: color=red width=0.8 
  // pointsymbol: shape=diamond style=fill fillcolor=red radius=0.04 
  pointsymbol: shape=circle style=fill fillcolor=red radius=0.018 
  
// compute and render moving average curve using proc curvefit
 #proc curvefit
   xfield: 1
   yfield: 2
   order: @dbamon_movingavg_count
   curvetype: movingavg 
   maxinpoints: 1000000
   legendlabel: @dbamon_movingavg_count Obs.\nMoving\nAverage
   linedetails: color=green width=1.0 

#proc legend
  location: max+0.7 max-0.5 
  format: down

//  xaxis.stubs: list Jul\nAug\nSep\nOct\nNov\nDec
//  xrange: 2010/01 2010/12
//  xaxis.autoyears: yyyy 
//  xaxis.stubs: inc 1  month
//  xaxis.stubrange: 201007 201012
//  xaxis.stubformat: YYYY/MM
//  xaxis.automonths: mm 
//  font: clb9x15
//  titledetails: align=right  adjust=0.3,-3.15 size=7
//  frame: bevel
//  yaxis.stubs: incremental 500
//  xaxis.label: Date 
//  xaxis.labeldistance: 0.9
//  pointsymbol: shape=pixtriangle  style=filled radius=0.02 color=blue
